<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/top_bar_cl"
        android:layout_width="match_parent"
        android:layout_height="44dp"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/back_iv"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="16dp"
            android:rotationY="@integer/locale_mirror_flip"
            android:src="@drawable/commonui_back_black_ic"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/image_dir_name_tv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/imageselect_all_photos"
            android:textColor="#2F3033"
            android:textSize="18sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/expand_dir_iv"
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:layout_marginStart="4dp"
            android:src="@drawable/imageselect_down_gray_30_ic"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@id/image_dir_name_tv"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:id="@+id/expand_dir_click_area"
            android:layout_width="0dp"
            android:layout_height="30dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="@+id/expand_dir_iv"
            app:layout_constraintStart_toStartOf="@+id/image_dir_name_tv"
            app:layout_constraintTop_toTopOf="parent" />

        <com.adealink.weparty.commonui.widget.CommonButton
            android:id="@+id/btn_confirm"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginEnd="16dp"
            android:paddingVertical="4dp"
            android:paddingStart="16dp"
            android:paddingEnd="16dp"
            android:visibility="gone"
            app:button_radius="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:text="@string/commonui_confirm"
            app:textColor="@color/white"
            app:textSize="14sp" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.adealink.weparty.commonui.widget.AutoMarqueeTextView
        android:id="@+id/select_mes_tip_tv"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        android:layout_marginHorizontal="5dp"
        android:ellipsize="marquee"
        android:gravity="center"
        android:singleLine="true"
        app:layout_constraintTop_toBottomOf="@id/top_bar_cl" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/image_list_rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="2dp"
        android:layout_marginEnd="2dp"
        android:clipToPadding="false"
        android:paddingBottom="32dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/select_mes_tip_tv" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/image_folder_cl"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="#4d000000"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/top_bar_cl">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/image_folder_rv"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginBottom="123dp"
            android:background="@drawable/imageselect_image_folder_bg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>